package com.zg.project.Inventory.AutoInventory.service;

import com.zg.project.Inventory.domain.dto.SodQueryDTO;
import com.zg.project.Inventory.domain.vo.ChartDataVO;
import com.zg.project.Inventory.domain.vo.SodVO;

import java.util.List;
import java.util.Map;

public interface ISodService {
    List<SodVO> selectByPcdeList(SodQueryDTO dto);


    Map<String, Object> matchWithStatus(SodQueryDTO dto);

    ChartDataVO matchWithAll(SodQueryDTO dto);

    Map<String, Object> getAll();
}
